> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/artifacts.md).

# Artifacts

Endpoints to obtain artifact information provided by fulfillmenttools.

## Get domain

> Returns the authentication domain.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to obtain artifact information provided by fulfillmenttools.","name":"Artifacts"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"DomainConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"id":{"type":"string"},"value":{"description":"User's default domain for authentication","type":"string"}},"required":["value"],"type":"object","title":"DomainConfiguration","description":"DomainConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/domain":{"get":{"description":"Returns the authentication domain.","operationId":"getDomainConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DomainConfiguration"}}},"description":"Domain config could be found in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get domain","tags":["Artifacts"]}}}}
```

## Update domain

> Updates the authentication domain.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to obtain artifact information provided by fulfillmenttools.","name":"Artifacts"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"DomainConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"id":{"type":"string"},"value":{"description":"User's default domain for authentication","type":"string"}},"required":["value"],"type":"object","title":"DomainConfiguration","description":"DomainConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/domain":{"put":{"description":"Updates the authentication domain.","operationId":"putDomainConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DomainConfiguration"}}},"description":"Desired domain note configuration to create/update","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DomainConfiguration"}}},"description":"The domain configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DomainConfiguration"}}},"description":"The domain configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update domain","tags":["Artifacts"]}}}}
```

## GET /api/configurations/tenantconnector

> Get tenant connector config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to obtain artifact information provided by fulfillmenttools.","name":"Artifacts"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TenantConnectorConfigurations":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"connectApps":{"description":"All possible apps","items":{"$ref":"#/components/schemas/TenantConnectorConfiguration"},"minItems":1,"type":"array"}},"required":["version","connectApps"],"type":"object","title":"TenantConnectorConfigurations","description":"TenantConnectorConfigurations"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TenantConnectorConfiguration":{"additionalProperties":false,"properties":{"apiUrl":{"type":"string"},"app":{"$ref":"#/components/schemas/ConnectAppTypeEnum"},"firebaseAppId":{"type":"string"},"firebaseAppIdDebug":{"type":"string"},"firebaseProjectId":{"type":"string"},"firebaseWebApiKey":{"type":"string"}},"required":["app","firebaseProjectId","apiUrl","firebaseWebApiKey","firebaseAppId","firebaseAppIdDebug"],"title":"TenantConnectorConfiguration","description":"TenantConnectorConfiguration"},"ConnectAppTypeEnum":{"description":"The type of possible Apps","enum":["PICKING","INVENTORY","OPERATIONS_ANDROID","OPERATIONS_IOS","STORE_OPERATIONS_IOS","STORE_OPERATIONS_ANDROID"],"type":"string","title":"ConnectAppTypeEnum"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tenantconnector":{"get":{"deprecated":false,"description":"","operationId":"getTenantConnectorConfigurations","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantConnectorConfigurations"}}},"description":"Configuration was found and you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"configuration not found"}},"summary":"Get tenant connector config","tags":["Artifacts"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/artifacts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
